invert_selection {DiagrammeR} | R Documentation

## Invert selection of nodes or edges in a graph

### Description

Modify the selection of nodes or edges within a graph object such that all nodes or edges previously unselected will now be selected and vice versa.

### Usage

    invert_selection(graph)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.

### Value

a graph object of class `dgr_graph`.

### Examples

    ## Not run:
    # Create a simple graph
    nodes <-
      create_nodes(nodes = c("a", "b", "c", "d"),
                   type = "letter",
                   label = TRUE,
                   value = c(3.5, 2.6, 9.4, 2.7))

    edges <-
      create_edges(from = c("a", "b", "c"),
                   to = c("d", "c", "a"),
                   rel = "leading_to")

    graph <-
      create_graph(nodes_df = nodes,
                   edges_df = edges)

    # Select nodes "a" and "c"
    graph <- select_nodes(graph = graph, nodes = c("a", "c"))

    # Verify that a node selection has been made
    get_selection(graph)
    #> $nodes
    #> [1] "a" "c"

    # Invert the selection
    graph <- invert_selection(graph = graph)

    # Verify that the node selection has been changed
    get_selection(graph)
    #> $nodes
    #> [1] "b" "d"

    ## End(Not run)

[Package DiagrammeR version 0.8.2 Index]